
                                                             

#ifndef GUI_GForm_h
#define GUI_GForm_h


//[2011.12.01.목][완료!!!]
void __fastcall _GUI_GForm_Create(void);

//[2011.12.01.목][완료!!!]
void __fastcall _GUI_GForm_Delete(void);

//[2018.08.26.일][완료!!!]
void __fastcall _GUI_GForm_Enable(void);

//[2011.12.01.목][완료!!!]
void __fastcall _GUI_GForm_Visible(void);

//[2011.12.01.목][완료!!!]
void __fastcall _GUI_GForm_Left(void);

//[2011.12.01.목][완료!!!]
void __fastcall _GUI_GForm_Top(void);

//[2011.12.01.목][완료!!!]
void __fastcall _GUI_GForm_Width(void);

//[2011.12.01.목][완료!!!]
void __fastcall _GUI_GForm_Height(void);

//[2011.12.01.목][완료!!!]
void __fastcall _GUI_GForm_BorderColor(void);

//[2011.12.01.목][완료!!!]
void __fastcall _GUI_GForm_OutLineColor(void);

//[2011.12.01.목][완료!!!]
void __fastcall _GUI_GForm_BackColor(void);

//[2011.12.01.목][완료!!!]
void __fastcall _GUI_GForm_CaptionFontColor(void);

//[2011.12.01.목][완료!!!]
void __fastcall _GUI_GForm_CaptionFontStyle(void);

//[2011.12.01.목][완료!!!]
void __fastcall _GUI_GForm_CaptionBackColor(void);

//[2011.12.01.목][완료!!!]
void __fastcall _GUI_GForm_Caption(void);

//[창버튼]
//{
    //[2012.07.18.수][완료!!!]
    void __fastcall _GUI_GForm_BtnClose_Enable(void);

    //[2012.07.18.수][완료!!!]
    void __fastcall _GUI_GForm_BtnMax_Enable(void);

    //[2012.07.18.수][완료!!!]
    void __fastcall _GUI_GForm_BtnMin_Enable(void);

//}

//[창 크기 조정]
//{
    //[2018.08.15.수][완료!!!]
    void __fastcall _GUI_GForm_WindowMax(void);

    //[2018.08.15.수][완료!!!]
    void __fastcall _GUI_GForm_WindowNormal(void);

    //[2018.08.15.수][완료!!!]
    void __fastcall _GUI_GForm_WindowMin(void);

//}

//[이벤트]
//{
    //[2011.12.01.목][완료!!!]
    void __fastcall _GUI_GForm_EvtClose(void);

    //[2011.12.01.목][완료!!!]
    void __fastcall _GUI_GForm_EvtResize(void);


    //[2012.07.21.토][완료!!!]
    void __fastcall _GUI_GForm_EvtDrag(void);

    //[2012.07.21.토][완료!!!]
    void __fastcall _GUI_GForm_EvtDrop(void);

    //[2012.07.21.토][완료!!!]
    void __fastcall _GUI_GForm_EvtMove(void);

//}


#endif
